---
search:
  tags:
    - Files
    - PATCH
seo:
  description: >-
    Updates file metadata without re-uploading the file. Only provided…
    Reference for the PATCH /api/v1/{app_id}/files/{file_id} endpoint in the
    Customers API.
sidebar:
  label: Patch file metadata
  badge: PATCH
title: Patch file metadata
type: openapi-operation
---
Updates file metadata without re-uploading the file. Only provided fields are updated.

`PATCH /api/v1/{app_id}/files/{file_id}`

**Request body** (`application/json`, required)

Fields to update

- `custom_fields` (object)
- `order_reference` (string)
- `organisation_number` (string)
- `relationship_ids` (string[])

Request body example:

```json
{
  "custom_fields": {
    "property1": null,
    "property2": null
  },
  "order_reference": "string",
  "organisation_number": "string",
  "relationship_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — OK
- `400` — Invalid request
- `404` — File not found
- `500` — Internal server error

Response example, 200:

```json
{
  "app_id": "string",
  "content_type": "string",
  "created_at": "string",
  "custom_fields": {
    "property1": null,
    "property2": null
  },
  "filename": "string",
  "id": "string",
  "updated_at": "string",
  "url": "string"
}
```
